/**
 * Klassen PlayStatusImpl gir status for avspilling av film.
 * Ved status RELEASED spiller ingen film.
 * Ved status STATICPLAY er det pause i filmen.
 * Ved status TIMEPLAY spiller filmen.
 */
package mpeg21;

import quicktime.std.StdQTException;
import quicktime.std.movies.Movie;

public class PlayStatusImpl implements PlayStatus {
	/**
	 * Deklarering av variabler:
	 */
	int status = TIMEPLAY;
	Movie m;
	
	//---------------------------------------------------------------------
	/**
	 * Konstruktr av klassen.
	 * @param m
	 */
	public PlayStatusImpl(Movie m) {
		System.out.println("New " + this);
		this.m = m;
	}
	//---------------------------------------------------------------------
	/**
	 * Metoden getStatus sjekker statusen og returnerer verdi for status.
	 * 
	 * @return int
	 */
	public int getStatus() {
		if(status != RELEASED) {
			try {
				if(m.getRate() == 0) {
					status = STATICPLAY;
				} else {
					status = TIMEPLAY;
				}
			} catch (StdQTException e) {
				e.printStackTrace();
				status = RELEASED;
			}
		}
		System.out.println("Return status " + status);
		return status;
	}
	//----------------------------------------------------------------------
	/**
	 * Metoden setter status ved  sjekke status til QuickTime-spiller.
	 * 
	 * @param status
	 */
	public void setStatus(int status){
		System.out.println("Set status to " + status);
		this.status = status;
	}

}
